/*  equver - solver of non-linear system of equations given in infix form
    Copyright (C) 2015  Tibor 'Igor2' Palinkas

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

    Project page: http://repo.hu/projects/equver
    Contact:      equver@igor2.repo.hu
*/

#include <stdio.h>

/* insert a path in front of the include search list; path should not be free'd
   or altered after the call (the pointer is saved, not the content). */
void ipath_insert(const char *path);


/* open include file fn:
 - if it looks like an absolute path, just open it
 - else search the include paths
*/
FILE *ipath_open(const char *fn);

/* delete search paths */
void ipath_reset(void);
